sfcode An Online Competing and Development Environment

regenerate-unicode-properties

regenerate-unicode-properties is a collection of Regenerate sets for various Unicode properties.

# Installation

To use regenerate-unicode-properties programmatically, install it as a dependency via npm:

$ npm install regenerate-unicode-properties

# Usage

To get a map of supported properties and their values:

const properties = require('regenerate-unicode-properties');

To get a specific Regenerate set:

// Examples:
const Lu = require('regenerate-unicode-properties/General_Category/Uppercase_Letter.js');
const Greek = require('regenerate-unicode-properties/Script_Extensions/Greek.js');

To get the Unicode version the data was based on:

const unicodeVersion = require('regenerate-unicode-properties/unicode-version.js');

# Author

Mathias Bynens

# License

regenerate-unicode-properties is available under the MIT license.